@americanexpress/eslint-plugin-one-app

6.14.0 • Public • Published

@americanexpress/eslint-plugin-one-app

npm

This package has Eslint rules to be used by One App modules.

📖 Table of Contents

🤹‍Usage

Usage outside one-app

You'll first need to install Eslint and this package using the below command.

npm install --save-dev eslint @americanexpress/eslint-plugin-one-app

Add @americanexpress/one-app to the plugins section of your .eslintrc configuration file. You can omit the eslint-plugin- prefix:

{
  "plugins": ["@americanexpress/one-app"]
}

Then configure the rules you want to use under the rules section.

{
  "rules": {
    "@americanexpress/one-app/no-app-config-on-client": "error"
  }
}

See ESLint documentation for more information about extending configuration files.

📜 Rules

Rule Description Fixable
@americanexpress/one-app/no-app-config-on-client Disallows appConfig details from being included in client bundles false

Package Sidebar

Install

npm i @americanexpress/eslint-plugin-one-app

Weekly Downloads

40

Version

6.14.0

License

Apache-2.0

Unpacked Size

24.6 kB

Total Files

9

Last publish

Collaborators

  • pixnbits
  • anescobar1991
  • jsmartfo
  • amexopensource